System.Runtime.Remoting [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.Channels.BaseChannelWithProperties System.Runtime.Remoting.Channels.IChannelSender System.Reflection.DefaultMember("Item")

Channels transport messages across remoting boundaries (for example, between computers or application domains). The class transports messages using the HTTP protocol.

Channels are used by the .NET Framework remoting infrastructure to transport remote calls. When a client makes a call to a remote object, the call is serialized into a message that is sent by a client channel and received by a server channel. It is then deserialized and processed. Any returned values are transmitted by the server channel and received by the client channel.

To perform additional processing of messages on the client-side, you can specify an implementation of the through which all messages processed by the are passed.

By default, the uses a SOAP formatter to serialize all messages.

A object has associated configuration properties that can be set at run time either in a configuration file (by invoking the static method) or programmatically (by passing a collection to the constructor). For a list of these configuration properties, see Channel and Formatter Configuration Properties.

Implements a client channel for remote calls that uses the HTTP protocol to transmit messages.

- Constructor

  The configuration properties of the instance returned by this constructor are all set to their default values.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  For more information about channel configuration properties, see Channel and Formatter Configuration Properties.

  If you do not require sink functionality, set the parameter to null.

  Initializes a new instance of the class with the specified configuration properties and sink.

  A collection that specifies values for configuration properties to be used by the channel.
  The implementation to be used by the channel.
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor sets the property using the parameter.

  Initializes a new instance of the class with the specified name and sink.

  The name of the new instance of the .
  The to be used by the channel.
  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  Every registered channel has a unique name. The name is used to retrieve a specific channel when calling .

  Gets the name of the current channel.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The priority controls the order in which competing clients connect to a given endpoint; higher priority channels connect before lower priority channels. The default priority is 1; negative priorities are allowed.

  Gets the priority of the current channel.

  1.0.5000.0
  2.0.0.0
- Method
  System.Runtime.Remoting.Messaging.IMessageSink `` `` `` To be added: an object of type 'string' To be added: an object of type 'object' To be added: an object of type 'string&' To be added To be added: an object of type 'Runtime.Remoting.Messaging.IMessageSink' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Object `` To be added: an object of type 'object' To be added To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Collections.ICollection To be added: an object of type 'Collections.ICollection'

  Channel properties are used to configure the channel at run time. For a list of possible channel properties and an example, see Channel and Formatter Configuration Properties.

  Gets a of keys that the channel properties are associated with.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` `` To be added: an object of type 'string' To be added: an object of type 'string&' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0